I want to generate events again but there are errors

Asked by Lalu Zamakhsyari

So I already generate events run_01 before. But when I wanted to do it again, it gave this error. Do you know what is happening here
Thank you.

#************************************************************
#* MadGraph5_aMC@NLO/MadEvent *
#* *
#* * * *
#* * * * * *
#* * * * * 5 * * * * *
#* * * * * *
#* * * *
#* *
#* *
#* VERSION 2.7.3 20xx-xx-xx *
#* *
#* The MadGraph5_aMC@NLO Development Team - Find us at *
#* https://server06.fynu.ucl.ac.be/projects/madgraph *
#* *
#************************************************************
#* *
#* Command File for MadEvent *
#* *
#* run as ./bin/madevent.py filename *
#* *
#************************************************************
generate_events
Traceback (most recent call last):
  File "/Users/laluzam/Documents/program/MG5_aMC_v2_7_0/bin/ppTOhTOtamuTOanvtjj_LO/bin/internal/extended_cmd.py", line 1515, in onecmd
    return self.onecmd_orig(line, **opt)
  File "/Users/laluzam/Documents/program/MG5_aMC_v2_7_0/bin/ppTOhTOtamuTOanvtjj_LO/bin/internal/extended_cmd.py", line 1464, in onecmd_orig
    return func(arg, **opt)
  File "/Users/laluzam/Documents/program/MG5_aMC_v2_7_0/bin/ppTOhTOtamuTOanvtjj_LO/bin/internal/madevent_interface.py", line 2468, in do_generate_events
    self.run_generate_events(switch_mode, args)
  File "/Users/laluzam/Documents/program/MG5_aMC_v2_7_0/bin/ppTOhTOtamuTOanvtjj_LO/bin/internal/common_run_interface.py", line 7011, in new_fct
    original_fct(obj, *args, **opts)
  File "/Users/laluzam/Documents/program/MG5_aMC_v2_7_0/bin/ppTOhTOtamuTOanvtjj_LO/bin/internal/madevent_interface.py", line 2508, in run_generate_events
    postcmd=False)
  File "/Users/laluzam/Documents/program/MG5_aMC_v2_7_0/bin/ppTOhTOtamuTOanvtjj_LO/bin/internal/extended_cmd.py", line 1544, in exec_cmd
    stop = Cmd.onecmd_orig(current_interface, line, **opt)
  File "/Users/laluzam/Documents/program/MG5_aMC_v2_7_0/bin/ppTOhTOtamuTOanvtjj_LO/bin/internal/extended_cmd.py", line 1464, in onecmd_orig
    return func(arg, **opt)
  File "/Users/laluzam/Documents/program/MG5_aMC_v2_7_0/bin/ppTOhTOtamuTOanvtjj_LO/bin/internal/madevent_interface.py", line 3325, in do_survey
    self.configure_directory()
  File "/Users/laluzam/Documents/program/MG5_aMC_v2_7_0/bin/ppTOhTOtamuTOanvtjj_LO/bin/internal/madevent_interface.py", line 5693, in configure_directory
    self.compile(arg=[name], cwd=os.path.join(self.me_dir, 'Source'))
  File "/Users/laluzam/Documents/program/MG5_aMC_v2_7_0/bin/ppTOhTOtamuTOanvtjj_LO/bin/internal/extended_cmd.py", line 1608, in compile
    return misc.compile(nb_core=self.options['nb_core'], *args, **opts)
  File "/Users/laluzam/Documents/program/MG5_aMC_v2_7_0/bin/ppTOhTOtamuTOanvtjj_LO/bin/internal/misc.py", line 532, in compile
    raise MadGraph5Error, error_text
MadGraph5Error: A compilation Error occurs when trying to compile /Users/laluzam/Documents/program/MG5_aMC_v2_7_0/bin/ppTOhTOtamuTOanvtjj_LO/Source.
The compilation fails with the following output message:
    gfortran -O -w -fbounds-check -fPIC -ffixed-line-length-132 -c -o setrun.o setrun.f
    cd PDF; make
    cd MODEL; make
    gfortran -O -w -fbounds-check -fPIC -ffixed-line-length-132 -c -o rw_para.o rw_para.f
    ar cru ../../lib/libpdf.a Ctq6Pdf.o pdfwrap.o opendata.o pdf.o PhotonFlux.o pdg2pdf.o NNPDFDriver.o
    ranlib ../../lib/libpdf.a
    clang: error: invalid version number in '-mmacosx-version-min=11.0'
    clang: error: invalid version number in '-mmacosx-version-min=11.0'
    make[1]: *** [rw_para.o] Error 1
    make: *** [../lib/libmodel.a] Error 2
    make: *** Waiting for unfinished jobs....
    make: *** [setrun.o] Error 1

Please try to fix this compilations issue and retry.
Help might be found at https://answers.launchpad.net/mg5amcnlo.
If you think that this is a bug, you can report this at https://bugs.launchpad.net/mg5amcnlo
                              Run Options
                              -----------
               stdout_level : None

                         MadEvent Options
                         ----------------
     automatic_html_opening : False (user set)
        notification_center : True
          cluster_temp_path : None
             cluster_memory : None
               cluster_size : 100
              cluster_queue : None
                    nb_core : 4 (user set)
               cluster_time : None
                   run_mode : 2

                      Configuration Options
                      ---------------------
                text_editor : None
         cluster_local_path : None
      cluster_status_update : (600, 30)
               pythia8_path : /Users/laluzam/Documents/program/MG5_aMC_v2_7_0/HEPTools/pythia8 (user set)
                  hwpp_path : None (user set)
            pythia-pgs_path : None (user set)
                    td_path : None (user set)
               delphes_path : /Users/laluzam/Documents/program/delphes (user set)
                thepeg_path : None (user set)
               cluster_type : condor
          madanalysis5_path : /Users/laluzam/Documents/program/MG5_aMC_v2_7_0/HEPTools/madanalysis5/madanalysis5 (user set)
           cluster_nb_retry : 1
                 eps_viewer : None
                web_browser : None
               syscalc_path : None (user set)
           madanalysis_path : None (user set)
                     lhapdf : /Users/laluzam/Documents/program/MG5_aMC_v2_7_0/HEPTools/lhapdf6/bin/lhapdf-config (user set)
              f2py_compiler : None
                 hepmc_path : None (user set)
         cluster_retry_wait : 300
           fortran_compiler : /usr/local/Cellar/gcc/11.2.0 (user set)
                auto_update : 7 (user set)
        exrootanalysis_path : /Users/laluzam/Documents/program/MG5_aMC_v2_7_0/ExRootAnalysis (user set)
                    timeout : 60
               cpp_compiler : None

Question information

Language:
English Edit question
Status:
Solved
For:
MadGraph5_aMC@NLO Edit question
Assignee:
No assignee Edit question
Solved by:
Lalu Zamakhsyari
Solved:
Last query:
Last reply:
Revision history for this message
Olivier Mattelaer (olivier-mattelaer) said :
#1

I would bet that you update your OS during those two run and you now have a OS version which is not supported by your version of mg5amc. Since you are using version of MG5amC which is out of support this is not surprinsing. I would advise to use either 2.9.6
or 3.2.0.
3.3.0 should be release (very) soon and contains some patch to support the latest macosx os (those are already part of 2.9.6)

Cheers,

Olivier

Revision history for this message
Lalu Zamakhsyari (laluzam) said :
#2

Dear Olivier,

Indeed as you said. I was in the middle of updating my Xcode at that time. Now, it is working fine.

Thanks.

Lalu